//this is the finel code 09-09-2019
//Edited on 31/03/2020
/* Design and Developed by VYSAKH A V
 *  vysakh.4v@gmail.com
 *  9947525460
 *  github.com/vysakh5
 * 
 * 
 * 
 */

#include <Wire.h>  // This library allows you to communicate with I2C  devices
#include "RTClib.h"  // for RTC module

#include <FastLED.h>  // for neopixel led matrix


#define NUM_LEDS 64 // total no of led used
#define DATA_PIN 6 // pin for conecing neopixel matrix
CRGB leds[NUM_LEDS];

RTC_DS1307 RTC; // SDA is connected to A4 and SCL is connected to A5

int r = 0;

//____________Colour selector_______________

int r1 = 55;     // 1st roman digit
int b1 = 255;
int g1 = 255;

int r2 = 255;  // 2nd roman digit
int b2 = 5;
int g2 = 250;

int r3 = 255; // 3rd roman digit
int b3 = 55;
int g3 = 35;

int r4 = 55;
int b4 = 25;
int g4 = 255;

int r5 = 204; // for miniute igit
int b5 = 255;
int g5 = 0;

//****************  For ALARM  ***********
char bt_alarm = '0';
int alarm_hr = 1;
int alarm_min = 0;
boolean alarm_act = true;

//****************  Bt variables *****

char bt_rec = '1';

boolean clr = false;

int Brightness = 50; // default Brightness 


void setup() {
  delay(2000);
  FastLED.addLeds<WS2811, DATA_PIN, GRB>(leds, NUM_LEDS); // neopixel config
 

  pinMode(12, OUTPUT);  // for buzzer output
  Serial.begin(9600);
  Wire.begin();
  RTC.begin();

  if (! RTC.isrunning()) {
    Serial.println("RTC is NOT running!");           // for adjusting time and date
    RTC.adjust(DateTime(F(__DATE__), F(__TIME__)));
  }
  //RTC.adjust(DateTime(2019, 8, 18, 7, 19, 0));
}
void loop() {

  if (Serial.available() > 0)
  {
    bt_rec = Serial.read();
  }


// ********BRIGHTNESS


if (bt_rec == 'b')
  {
    Brightness = Brightness+10;
    bt_rec = '1';
  }else if (bt_rec == 'd')
  {
    Brightness = Brightness-10;
    bt_rec = '1';
  }

  
   FastLED.setBrightness(Brightness); 

   
  if (bt_rec == '1')
  {
    if (clr == true) // 
    {
      for (int i = 0; i < 65; i++)
      {
        leds[i] = CRGB(0, 0, 0);
        FastLED.show();
      }
      clr = false;
    }

//***---------------------------------****
    DateTime now = RTC.now();
    int hr = now.hour();
    if (hr > 12)  // convering 24hr to 12hr
    {
      switch (hr) {
        case 13:
          hr = 1;
          break;
        case 14:
          hr = 2;
          break;
        case 15:
          hr = 3;
          break;
        case 16:
          hr = 4;
          break;
        case 17:
          hr = 5;
          break;
        case 18:
          hr = 6;
          break;
        case 19:
          hr = 7;
          break;
        case 20:
          hr = 8;
          break;
        case 21:
          hr = 9;
          break;
        case 22:
          hr = 10;
          break;
        case 23:
          hr = 11;
          break;
        case 24:
          hr = 12;
          break;

      }
    }
    Serial.println(hr);
    printhr(hr); // printing hour digit

    int m = now.minute();  
    // dividing the minute digits
    int m1 = m / 10;
    int m2 = m % 10;
    printdigit1(m1); // printing minute digits
    printdigit2(m2);
    
// for red light blinking
    
    if (r % 2 == 1) 
    {
      leds[48] = CRGB(255, 0, 0);        //tic**********
      leds[32] = CRGB(255, 0, 0);           //***************
    }
    if (r % 2 == 0)
    {
      leds[48] = CRGB(0, 0, 0);        //tic**********
      leds[32] = CRGB(0, 0, 0);           //***************
    }

    if (r == 255)
    {
      r = 0;
    }
    r++;
//********************************************************

//for alarm activation
    if (hr == alarm_hr && m == alarm_min && alarm_act == true)
    {
      alarm();
      alarm_act = false;
    }

//for displaying diffrent emojis

  } else if (bt_rec == '2')
  {
    img1();
  } else if (bt_rec == '3')
  {
    img2();
  } else if (bt_rec == '4')
  {
    grd2();
  } else if (bt_rec == '5')
  {
    anim2();
  } else if (bt_rec == '6')
  {
    fill_grad();
  }else if (bt_rec == '7')
  {
   img3();
  } else if (bt_rec == 'p')
  {
    time_hri();  //increase hour   ***************************************************
    //grd2();
  } else if (bt_rec == 'q')
  {
    time_hrd();  //decrease hour
    //anim2();
  } else if (bt_rec == 'r')
  {
    time_mni(); //increase minit
    //fill_grad();
  }else if (bt_rec == 's')
  {
    time_mnd();  //decrease minit
    //img3();
  }else if (bt_rec == 'h')//----------------********* for alarm
  {
    set_alrm(); 
  }



  delay(300);
}
//************************* E N D **********************

void set_alrm()
{
for (int i = 0; i < 65; i++)
  {
    leds[i] = CRGB(0, 0, 0);
    FastLED.show();
  }

alarm_act = true;
while (bt_rec == 'h')
{

  if (Serial.available() > 0)
  {
    bt_alarm = Serial.read();
  }
  if (bt_alarm == 'i')
  {
   alarm_hr = alarm_hr+1;
   printhr(alarm_hr);
   if (alarm_hr == 12)
  {
    alarm_hr = 1;
  }
  } else if (bt_alarm == 'j')
  {
    alarm_hr = alarm_hr-1;
    printhr(alarm_hr);
    if (alarm_hr == 0)
  {
    alarm_hr = 12;
  }
  } else if (bt_alarm == 'k')
  {
    alarm_min = alarm_min+1;    
    int m = alarm_min;
    int m1 = m / 10;
    int m2 = m % 10;
    printdigit1(m1);
    printdigit2(m2);
    if (alarm_min == 59)
  {
    alarm_min = 0;
  }
  } else if (bt_alarm == 'l')
  {
    alarm_min  = alarm_min-1;
    int m = alarm_min;
    int m1 = m / 10;
    int m2 = m % 10;
    printdigit1(m1);
    printdigit2(m2);
     if (alarm_min == -1)
  {
    alarm_min = 59;
  }
  }else if (bt_alarm =='m')
  {
    bt_rec = '1';
  }
  bt_alarm = '0';
}
}


void time_hri()
{
    DateTime now = RTC.now();
    int hr = now.hour();
    int m = now.minute();
    int s = now.second();
    RTC.adjust(DateTime(2019, 8, 18, hr+1, m, s));
    bt_rec = '1';
}
void time_hrd()
{
    DateTime now = RTC.now();
    int hr = now.hour();
    int m = now.minute();
    int s = now.second();
    RTC.adjust(DateTime(2019, 8, 18, hr-1, m, s));
    bt_rec = '1';
}
void time_mni()
{
    DateTime now = RTC.now();
    int hr = now.hour();
    int m = now.minute();
    int s = now.second();
    RTC.adjust(DateTime(2019, 8, 18, hr, m+1, s));
    bt_rec = '1';
}

void time_mnd()
{
    DateTime now = RTC.now();
    int hr = now.hour();
    int m = now.minute();
    int s = now.second();
    RTC.adjust(DateTime(2019, 8, 18, hr, m-1, s));
    bt_rec = '1';
}

void fill_grad() {
  
  uint8_t starthue = beatsin8(0, 0, 0);
  uint8_t endhue = beatsin8(0, 255, 255);
  
  if (starthue < endhue) {
    fill_gradient(leds, NUM_LEDS, CHSV(starthue,255,255), CHSV(endhue,255,255), FORWARD_HUES);    // If we don't have this, the colour fill will flip around. 
  } else {
    fill_gradient(leds, NUM_LEDS, CHSV(starthue,255,255), CHSV(endhue,255,255), BACKWARD_HUES);
  }
   FastLED.show();
   clr = true;
} // fill_grad()
void img3()
{
  leds[0] = CRGB(221, 153, 255);
  leds[1] = CRGB(211, 165, 255);
  leds[2] = CRGB(196, 180, 255);
  leds[3] = CRGB(180, 196, 255);
  leds[4] = CRGB(165, 214, 255);
  leds[5] = CRGB(153, 228, 255);
  leds[6] = CRGB(147, 239, 254);
  leds[7] = CRGB(146, 246, 246);
  leds[8] = CRGB(212, 163, 255);
  leds[9] = CRGB(204, 170, 254);
  leds[10] = CRGB(193, 183, 254);
  leds[11] = CRGB(177, 200, 254);
  leds[12] = CRGB(163, 217, 255);
  leds[13] = CRGB(150, 230, 255);
  leds[14] = CRGB(146, 240, 250);
  leds[15] = CRGB(146, 246, 244);
  leds[16] = CRGB(196, 179, 255);
  leds[17] = CRGB(192, 182, 253);
  leds[18] = CRGB(184, 192, 255);
  leds[19] = CRGB(171, 207, 255);
  leds[20] = CRGB(157, 221, 255);
  leds[21] = CRGB(148, 233, 254);
  leds[22] = CRGB(145, 242, 251);
  leds[23] = CRGB(146, 247, 243);
  leds[24] = CRGB(181, 197, 255);
  leds[25] = CRGB(178, 199, 254);
  leds[26] = CRGB(171, 207, 255);
  leds[27] = CRGB(160, 218, 255);
  leds[28] = CRGB(149, 229, 254);
  leds[29] = CRGB(146, 237, 255);
  leds[30] = CRGB(146, 243, 249);
  leds[31] = CRGB(147, 246, 241);
  leds[32] = CRGB(163, 215, 254);
  leds[33] = CRGB(163, 217, 255);
  leds[34] = CRGB(158, 221, 255);
  leds[35] = CRGB(151, 228, 254);
  leds[36] = CRGB(147, 236, 252);
  leds[37] = CRGB(145, 242, 249);
  leds[38] = CRGB(146, 246, 244);
  leds[39] = CRGB(146, 248, 234);
  leds[40] = CRGB(151, 228, 255);
  leds[41] = CRGB(150, 230, 255);
  leds[42] = CRGB(148, 232, 255);
  leds[43] = CRGB(148, 237, 255);
  leds[44] = CRGB(147, 241, 249);
  leds[45] = CRGB(147, 245, 246);
  leds[46] = CRGB(144, 248, 237);
  leds[47] = CRGB(144, 252, 228);
  leds[48] = CRGB(147, 239, 254);
  leds[49] = CRGB(146, 240, 252);
  leds[50] = CRGB(145, 242, 251);
  leds[51] = CRGB(146, 243, 249);
  leds[52] = CRGB(147, 246, 243);
  leds[53] = CRGB(146, 248, 237);
  leds[54] = CRGB(145, 251, 231);
  leds[55] = CRGB(145, 252, 222);
  leds[56] = CRGB(147, 245, 244);
  leds[57] = CRGB(146, 246, 244);
  leds[58] = CRGB(144, 247, 243);
  leds[59] = CRGB(147, 248, 240);
  leds[60] = CRGB(146, 249, 232);
  leds[61] = CRGB(145, 251, 229);
  leds[62] = CRGB(145, 252, 222);
  leds[63] = CRGB(147, 253, 215);
  FastLED.show();
  clr = true;
}
void anim2()
{
  clr = true;

  leds[0] = CRGB(0, 0, 1);
  leds[1] = CRGB(0, 0, 1);
  leds[2] = CRGB(0, 0, 1);
  leds[3] = CRGB(0, 0, 1);
  leds[4] = CRGB(0, 0, 1);
  leds[5] = CRGB(0, 0, 1);
  leds[6] = CRGB(0, 0, 1);
  leds[7] = CRGB(0, 0, 1);
  leds[8] = CRGB(255, 0, 0);
  leds[9] = CRGB(0, 0, 1);
  leds[10] = CRGB(255, 0, 128);
  leds[11] = CRGB(255, 128, 0);
  leds[12] = CRGB(0, 0, 1);
  leds[13] = CRGB(255, 128, 0);
  leds[14] = CRGB(255, 0, 128);
  leds[15] = CRGB(0, 0, 1);
  leds[16] = CRGB(0, 0, 1);
  leds[17] = CRGB(0, 0, 1);
  leds[18] = CRGB(255, 128, 0);
  leds[19] = CRGB(0, 255, 255);
  leds[20] = CRGB(0, 0, 1);
  leds[21] = CRGB(0, 255, 255);
  leds[22] = CRGB(255, 128, 0);
  leds[23] = CRGB(0, 0, 1);
  leds[24] = CRGB(0, 0, 1);
  leds[25] = CRGB(0, 0, 1);
  leds[26] = CRGB(0, 0, 1);
  leds[27] = CRGB(0, 0, 1);
  leds[28] = CRGB(0, 0, 1);
  leds[29] = CRGB(0, 0, 1);
  leds[30] = CRGB(0, 0, 1);
  leds[31] = CRGB(0, 0, 1);
  leds[32] = CRGB(0, 0, 1);
  leds[33] = CRGB(0, 0, 1);
  leds[34] = CRGB(255, 128, 0);
  leds[35] = CRGB(0, 255, 255);
  leds[36] = CRGB(0, 0, 1);
  leds[37] = CRGB(0, 255, 255);
  leds[38] = CRGB(255, 128, 0);
  leds[39] = CRGB(0, 0, 1);
  leds[40] = CRGB(255, 0, 0);
  leds[41] = CRGB(0, 0, 1);
  leds[42] = CRGB(255, 0, 128);
  leds[43] = CRGB(255, 128, 0);
  leds[44] = CRGB(0, 0, 1);
  leds[45] = CRGB(255, 128, 0);
  leds[46] = CRGB(255, 0, 128);
  leds[47] = CRGB(0, 0, 1);
  leds[48] = CRGB(0, 0, 1);
  leds[49] = CRGB(0, 0, 1);
  leds[50] = CRGB(0, 0, 1);
  leds[51] = CRGB(0, 0, 1);
  leds[52] = CRGB(0, 0, 1);
  leds[53] = CRGB(0, 0, 1);
  leds[54] = CRGB(0, 0, 1);
  leds[55] = CRGB(0, 0, 1);
  leds[56] = CRGB(0, 0, 1);
  leds[57] = CRGB(0, 0, 1);
  leds[58] = CRGB(255, 0, 0);
  leds[59] = CRGB(0, 0, 1);
  leds[60] = CRGB(0, 0, 1);
  leds[61] = CRGB(0, 0, 1);
  leds[62] = CRGB(255, 0, 0);
  leds[63] = CRGB(0, 0, 1);
  FastLED.show();
  delay(41);
  leds[8] = CRGB(0, 0, 1);
  leds[10] = CRGB(255, 32, 32);
  leds[11] = CRGB(0, 0, 1);
  leds[13] = CRGB(0, 0, 1);
  leds[14] = CRGB(255, 32, 32);
  leds[16] = CRGB(255, 0, 128);
  leds[18] = CRGB(0, 0, 1);
  leds[19] = CRGB(0, 0, 1);
  leds[21] = CRGB(255, 255, 0);
  leds[22] = CRGB(0, 0, 1);
  leds[24] = CRGB(255, 0, 128);
  leds[27] = CRGB(255, 0, 0);
  leds[34] = CRGB(0, 0, 1);
  leds[35] = CRGB(0, 0, 1);
  leds[36] = CRGB(255, 0, 0);
  leds[37] = CRGB(255, 255, 0);
  leds[38] = CRGB(0, 0, 1);
  leds[40] = CRGB(0, 0, 1);
  leds[42] = CRGB(255, 32, 32);
  leds[43] = CRGB(0, 0, 1);
  leds[45] = CRGB(0, 0, 1);
  leds[46] = CRGB(255, 32, 32);
  leds[58] = CRGB(0, 0, 1);
  leds[60] = CRGB(255, 0, 128);
  leds[61] = CRGB(255, 0, 128);
  leds[62] = CRGB(0, 0, 1);
  FastLED.show();
  delay(41);
  leds[0] = CRGB(255, 128, 0);
  leds[2] = CRGB(0, 255, 255);
  leds[4] = CRGB(255, 128, 255);
  leds[6] = CRGB(0, 255, 255);
  leds[9] = CRGB(0, 255, 255);
  leds[10] = CRGB(0, 0, 1);
  leds[12] = CRGB(255, 0, 0);
  leds[14] = CRGB(0, 0, 1);
  leds[15] = CRGB(0, 255, 255);
  leds[16] = CRGB(255, 32, 32);
  leds[21] = CRGB(0, 0, 1);
  leds[24] = CRGB(255, 32, 32);
  leds[25] = CRGB(255, 128, 255);
  leds[26] = CRGB(255, 0, 0);
  leds[27] = CRGB(0, 0, 1);
  leds[30] = CRGB(255, 0, 0);
  leds[31] = CRGB(255, 128, 255);
  leds[32] = CRGB(255, 32, 32);
  leds[36] = CRGB(0, 0, 1);
  leds[37] = CRGB(0, 0, 1);
  leds[41] = CRGB(0, 255, 255);
  leds[42] = CRGB(0, 0, 1);
  leds[44] = CRGB(255, 0, 0);
  leds[46] = CRGB(0, 0, 1);
  leds[47] = CRGB(0, 255, 255);
  leds[48] = CRGB(255, 128, 0);
  leds[50] = CRGB(0, 255, 255);
  leds[52] = CRGB(255, 128, 255);
  leds[54] = CRGB(0, 255, 255);
  leds[57] = CRGB(255, 128, 0);
  leds[59] = CRGB(255, 32, 32);
  leds[60] = CRGB(255, 32, 32);
  leds[61] = CRGB(255, 32, 32);
  leds[63] = CRGB(255, 128, 0);
  FastLED.show();
  delay(41);
  leds[0] = CRGB(0, 255, 255);
  leds[1] = CRGB(255, 128, 255);
  leds[2] = CRGB(255, 255, 0);
  leds[4] = CRGB(0, 0, 1);
  leds[5] = CRGB(255, 0, 0);
  leds[6] = CRGB(0, 0, 1);
  leds[7] = CRGB(255, 128, 255);
  leds[8] = CRGB(255, 128, 255);
  leds[9] = CRGB(0, 0, 1);
  leds[12] = CRGB(0, 0, 1);
  leds[13] = CRGB(0, 255, 0);
  leds[15] = CRGB(255, 255, 0);
  leds[16] = CRGB(0, 0, 1);
  leds[18] = CRGB(0, 255, 0);
  leds[24] = CRGB(0, 0, 1);
  leds[25] = CRGB(0, 0, 1);
  leds[26] = CRGB(0, 0, 1);
  leds[28] = CRGB(255, 128, 255);
  leds[30] = CRGB(0, 0, 1);
  leds[31] = CRGB(0, 0, 1);
  leds[32] = CRGB(0, 0, 1);
  leds[39] = CRGB(255, 0, 0);
  leds[40] = CRGB(255, 128, 255);
  leds[41] = CRGB(255, 255, 0);
  leds[43] = CRGB(0, 255, 0);
  leds[44] = CRGB(0, 0, 1);
  leds[47] = CRGB(0, 0, 1);
  leds[48] = CRGB(0, 0, 1);
  leds[49] = CRGB(255, 128, 255);
  leds[50] = CRGB(0, 0, 1);
  leds[52] = CRGB(0, 0, 1);
  leds[54] = CRGB(255, 255, 0);
  leds[55] = CRGB(255, 128, 255);
  leds[57] = CRGB(0, 0, 1);
  leds[58] = CRGB(255, 128, 255);
  leds[59] = CRGB(0, 0, 1);
  leds[60] = CRGB(0, 0, 1);
  leds[61] = CRGB(0, 0, 1);
  leds[62] = CRGB(255, 128, 255);
  leds[63] = CRGB(0, 255, 255);
  FastLED.show();
  delay(41);

}
void grd2()
{
leds[0] = CRGB(0, 0, 0);
leds[1] = CRGB(0, 123, 23);
leds[2] = CRGB(0, 123, 23);
leds[3] = CRGB(0, 123, 23);
leds[4] = CRGB(0, 123, 23);
leds[5] = CRGB(0, 123, 23);
leds[6] = CRGB(0, 123, 23);
leds[7] = CRGB(0, 0, 0);
leds[8] = CRGB(0, 123, 23);
leds[9] = CRGB(0, 123, 23);
leds[10] = CRGB(0, 123, 23);
leds[11] = CRGB(0, 123, 23);
leds[12] = CRGB(0, 123, 23);
leds[13] = CRGB(0, 123, 23);
leds[14] = CRGB(0, 123, 23);
leds[15] = CRGB(0, 123, 23);
leds[16] = CRGB(0, 123, 23);
leds[17] = CRGB(255, 0, 0);
leds[18] = CRGB(0, 123, 23);
leds[19] = CRGB(0, 123, 23);
leds[20] = CRGB(255, 0, 0);
leds[21] = CRGB(0, 123, 23);
leds[22] = CRGB(0, 123, 23);
leds[23] = CRGB(0, 123, 23);
leds[24] = CRGB(0, 123, 23);
leds[25] = CRGB(0, 123, 23);
leds[26] = CRGB(0, 123, 23);
leds[27] = CRGB(0, 123, 23);
leds[28] = CRGB(0, 123, 23);
leds[29] = CRGB(0, 123, 23);
leds[30] = CRGB(0, 123, 23);
leds[31] = CRGB(0, 123, 23);
leds[32] = CRGB(0, 123, 23);
leds[33] = CRGB(0, 123, 23);
leds[34] = CRGB(255, 255, 255);
leds[35] = CRGB(0, 0, 0);
leds[36] = CRGB(255, 255, 255);
leds[37] = CRGB(0, 0, 0);
leds[38] = CRGB(255, 255, 255);
leds[39] = CRGB(0, 123, 23);
leds[40] = CRGB(0, 123, 23);
leds[41] = CRGB(0, 0, 0);
leds[42] = CRGB(0, 0, 0);
leds[43] = CRGB(0, 0, 0);
leds[44] = CRGB(0, 0, 0);
leds[45] = CRGB(0, 0, 0);
leds[46] = CRGB(0, 0, 0);
leds[47] = CRGB(0, 123, 23);
leds[48] = CRGB(0, 123, 23);
leds[49] = CRGB(255, 255, 255);
leds[50] = CRGB(0, 0, 0);
leds[51] = CRGB(255, 255, 255);
leds[52] = CRGB(0, 0, 0);
leds[53] = CRGB(255, 255, 255);
leds[54] = CRGB(0, 0, 0);
leds[55] = CRGB(0, 123, 23);
leds[56] = CRGB(0, 123, 23);
leds[57] = CRGB(0, 123, 23);
leds[58] = CRGB(0, 123, 23);
leds[59] = CRGB(0, 123, 23);
leds[60] = CRGB(0, 123, 23);
leds[61] = CRGB(0, 123, 23);
leds[62] = CRGB(0, 123, 23);
leds[63] = CRGB(0, 123, 23);
FastLED.show();


}


void img1()
{
  leds[0] = CRGB(9, 1, 175);
  leds[1] = CRGB(8, 0, 181);
  leds[2] = CRGB(9, 0, 179);
  leds[3] = CRGB(30, 0, 160);
  leds[4] = CRGB(73, 0, 133);
  leds[5] = CRGB(120, 0, 98);
  leds[6] = CRGB(170, 0, 63);
  leds[7] = CRGB(215, 1, 25);
  leds[8] = CRGB(10, 0, 179);
  leds[9] = CRGB(9, 1, 175);
  leds[10] = CRGB(39, 0, 157);
  leds[11] = CRGB(81, 1, 124);
  leds[12] = CRGB(129, 0, 91);
  leds[13] = CRGB(181, 0, 55);
  leds[14] = CRGB(219, 1, 26);
  leds[15] = CRGB(253, 0, 2);
  leds[16] = CRGB(14, 0, 175);
  leds[17] = CRGB(47, 0, 152);
  leds[18] = CRGB(91, 0, 121);
  leds[19] = CRGB(141, 0, 81);
  leds[20] = CRGB(187, 1, 48);
  leds[21] = CRGB(231, 0, 18);
  leds[22] = CRGB(254, 2, 1);
  leds[23] = CRGB(255, 33, 2);
  leds[24] = CRGB(55, 0, 146);
  leds[25] = CRGB(100, 2, 115);
  leds[26] = CRGB(149, 0, 75);
  leds[27] = CRGB(197, 1, 41);
  leds[28] = CRGB(236, 0, 14);
  leds[29] = CRGB(255, 6, 0);
  leds[30] = CRGB(254, 41, 0);
  leds[31] = CRGB(255, 87, 0);
  leds[32] = CRGB(109, 0, 105);
  leds[33] = CRGB(160, 0, 69);
  leds[34] = CRGB(205, 0, 35);
  leds[35] = CRGB(242, 1, 10);
  leds[36] = CRGB(255, 13, 1);
  leds[37] = CRGB(255, 51, 1);
  leds[38] = CRGB(255, 97, 0);
  leds[39] = CRGB(255, 149, 0);
  leds[40] = CRGB(169, 1, 63);
  leds[41] = CRGB(214, 1, 29);
  leds[42] = CRGB(249, 0, 4);
  leds[43] = CRGB(255, 20, 0);
  leds[44] = CRGB(254, 58, 0);
  leds[45] = CRGB(254, 108, 0);
  leds[46] = CRGB(254, 160, 0);
  leds[47] = CRGB(255, 205, 1);
  leds[48] = CRGB(223, 0, 25);
  leds[49] = CRGB(253, 0, 3);
  leds[50] = CRGB(255, 27, 0);
  leds[51] = CRGB(254, 69, 2);
  leds[52] = CRGB(255, 117, 2);
  leds[53] = CRGB(255, 170, 2);
  leds[54] = CRGB(255, 213, 2);
  leds[55] = CRGB(254, 249, 0);
  leds[56] = CRGB(255, 3, 0);
  leds[57] = CRGB(255, 34, 0);
  leds[58] = CRGB(253, 77, 1);
  leds[59] = CRGB(254, 130, 0);
  leds[60] = CRGB(255, 179, 1);
  leds[61] = CRGB(255, 223, 0);
  leds[62] = CRGB(255, 252, 0);
  leds[63] = CRGB(255, 253, 0);
  FastLED.show();

  clr = true;
}
void img2()
{
  clr = true;
  leds[0] = CRGB(0, 0, 0);
  leds[1] = CRGB(255, 14, 8);
  leds[2] = CRGB(255, 14, 8);
  leds[3] = CRGB(0, 0, 0);
  leds[4] = CRGB(0, 0, 0);
  leds[5] = CRGB(255, 14, 8);
  leds[6] = CRGB(255, 14, 8);
  leds[7] = CRGB(0, 0, 0);
  leds[8] = CRGB(255, 14, 8);
  leds[9] = CRGB(255, 14, 8);
  leds[10] = CRGB(255, 14, 8);
  leds[11] = CRGB(255, 14, 8);
  leds[12] = CRGB(255, 14, 8);
  leds[13] = CRGB(255, 14, 8);
  leds[14] = CRGB(255, 16, 19);
  leds[15] = CRGB(255, 16, 19);
  leds[16] = CRGB(255, 14, 8);
  leds[17] = CRGB(255, 14, 8);
  leds[18] = CRGB(255, 14, 8);
  leds[19] = CRGB(255, 14, 8);
  leds[20] = CRGB(255, 14, 8);
  leds[21] = CRGB(255, 255, 255);
  leds[22] = CRGB(255, 16, 19);
  leds[23] = CRGB(255, 16, 19);
  leds[24] = CRGB(255, 14, 8);
  leds[25] = CRGB(255, 14, 8);
  leds[26] = CRGB(255, 14, 8);
  leds[27] = CRGB(255, 14, 8);
  leds[28] = CRGB(255, 255, 255);
  leds[29] = CRGB(255, 255, 255);
  leds[30] = CRGB(255, 16, 19);
  leds[31] = CRGB(255, 16, 19);
  leds[32] = CRGB(0, 0, 0);
  leds[33] = CRGB(255, 14, 8);
  leds[34] = CRGB(255, 14, 8);
  leds[35] = CRGB(255, 14, 8);
  leds[36] = CRGB(255, 16, 19);
  leds[37] = CRGB(255, 16, 19);
  leds[38] = CRGB(255, 16, 19);
  leds[39] = CRGB(0, 0, 0);
  leds[40] = CRGB(0, 0, 0);
  leds[41] = CRGB(0, 0, 0);
  leds[42] = CRGB(255, 14, 8);
  leds[43] = CRGB(255, 14, 8);
  leds[44] = CRGB(255, 14, 8);
  leds[45] = CRGB(255, 16, 19);
  leds[46] = CRGB(0, 0, 0);
  leds[47] = CRGB(0, 0, 0);
  leds[48] = CRGB(0, 0, 0);
  leds[49] = CRGB(0, 0, 0);
  leds[50] = CRGB(0, 0, 0);
  leds[51] = CRGB(255, 14, 8);
  leds[52] = CRGB(255, 14, 8);
  leds[53] = CRGB(0, 0, 0);
  leds[54] = CRGB(0, 0, 0);
  leds[55] = CRGB(0, 0, 0);
  leds[56] = CRGB(0, 0, 0);
  leds[57] = CRGB(0, 0, 0);
  leds[58] = CRGB(0, 0, 0);
  leds[59] = CRGB(0, 0, 0);
  leds[60] = CRGB(0, 0, 0);
  leds[61] = CRGB(0, 0, 0);
  leds[62] = CRGB(0, 0, 0);
  leds[63] = CRGB(0, 0, 0);
  FastLED.show();


}

void alarm()
{
  for (int t = 0 ; t < 30 ; t++)
  {
    for (int i = 0; i < 65; i++)
    {
      leds[i] = CRGB(0, 0, 0);
      FastLED.show();
    }
    digitalWrite(12,HIGH);
    delay(100);
    for (int i = 0; i < 65; i++)
    {
      leds[i] = CRGB(255, 0, 0);
      FastLED.show();
    }
    digitalWrite(12,LOW);
    delay(100);
  }
  for (int i = 0; i < 65; i++)
  {
    leds[i] = CRGB(0, 0, 0);
    FastLED.show();
  }
}


void printdigit2(int d1)
{
  int id [15] = {29, 30, 31, 37, 38, 39, 45, 46, 47, 53, 54, 55, 61, 62, 63};
  if (d1 == 0)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 46 || id[i] == 54)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 1)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 46 || id[i] == 54 || id[i] == 30 || id[i] == 62 || id[i] == 61 || id[i] == 63 || id[i] == 37)
      {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      }

    }
  } else if (d1 == 2)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 55 || id[i] == 54 || id[i] == 37)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 3)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 53 || id[i] == 54 || id[i] == 37)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 4)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 53 || id[i] == 54 || id[i] == 30 || id[i] == 61 || id[i] == 62)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 5)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 53 || id[i] == 54 || id[i] == 39)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 6)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 39 || id[i] == 54)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 7)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 37 || id[i] == 45 || id[i] == 46 || id[i] == 53 || id[i] == 54 || id[i] == 61 || id[i] == 62)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 8)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 54)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 9)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 38 || id[i] == 54 || id[i] == 53)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  }



}





void printdigit1(int d1)
{
  int id [15] = {25, 26, 27, 33, 34, 35, 41, 42, 43, 49, 50, 51, 57, 58, 59};
  if (d1 == 0)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 42 || id[i] == 50)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 1)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 42 || id[i] == 50 || id[i] == 26 || id[i] == 58 || id[i] == 57 || id[i] == 59 || id[i] == 33)
      {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      }

    }
  } else if (d1 == 2)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 51 || id[i] == 50 || id[i] == 33)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 3)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 49 || id[i] == 50 || id[i] == 33)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 4)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 49 || id[i] == 50 || id[i] == 26 || id[i] == 57 || id[i] == 58)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 5)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 49 || id[i] == 50 || id[i] == 35)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 6)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 35 || id[i] == 50)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 7)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 33 || id[i] == 41 || id[i] == 42 || id[i] == 49 || id[i] == 50 || id[i] == 57 || id[i] == 58)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 8)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 50)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  } else if (d1 == 9)
  {
    for (int i = 0; i < 15; i++)
    {
      if (id[i] == 34 || id[i] == 50 || id[i] == 49)
      {
        leds[id[i]] = CRGB(0, 0, 0);
        FastLED.show();
      } else {
        leds[id[i]] = CRGB(r5, g5, b5);
        FastLED.show();
      }

    }
  }



}

void printhr(int hr)
{
  //  for(int i=0; i<23;i++)
  //  {
  //    leds[i] = CRGB(0, 0, 0);
  //    FastLED.show();
  //  }
  if (hr == 1)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[11] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(0, 0, 0);
    leds[12] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[5] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[21] = CRGB(0, 0, 0);
    leds[2] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);
    FastLED.show();
  } else if (hr == 2)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[11] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r2, g2, b2);
    leds[12] = CRGB(r2, g2, b2);
    leds[20] = CRGB(r2, g2, b2);
    leds[5] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[21] = CRGB(0, 0, 0);
    leds[2] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);
    FastLED.show();
  } else if (hr == 3)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[11] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r2, g2, b2);
    leds[12] = CRGB(r2, g2, b2);
    leds[20] = CRGB(r2, g2, b2);
    leds[5] = CRGB(r3, g3, b3);
    leds[13] = CRGB(r3, g3, b3);
    leds[21] = CRGB(r3, g3, b3);
    leds[2] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);
    FastLED.show();
  } else if (hr == 4)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[11] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r2, g2, b2);
    leds[12] = CRGB(r2, g2, b2);
    leds[21] = CRGB(r2, g2, b2);
    leds[6] = CRGB(r2, g2, b2);
    leds[14] = CRGB(r2, g2, b2);
    //***************************************************

    leds[2] = CRGB(0, 0, 0);
    leds[5] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************
    FastLED.show();
  } else if (hr == 5)
  {
    leds[2] = CRGB(r1, g1, b1);
    leds[10] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    //***************************************************

    leds[3] = CRGB(0, 0, 0);
    leds[5] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[21] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************

    FastLED.show();

  } else if (hr == 6)
  {
    leds[2] = CRGB(r1, g1, b1);
    leds[10] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r2, g2, b2);
    leds[13] = CRGB(r2, g2, b2);
    leds[21] = CRGB(r2, g2, b2);
    //***************************************************

    leds[3] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************
    FastLED.show();
  } else if (hr == 7)
  {
    leds[2] = CRGB(r1, g1, b1);
    leds[10] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r2, g2, b2);
    leds[13] = CRGB(r2, g2, b2);
    leds[21] = CRGB(r2, g2, b2);
    leds[6] = CRGB(r3, g3, b3);
    leds[14] = CRGB(r3, g3, b3);
    leds[22] = CRGB(r3, g3, b3);

    //***************************************************

    leds[3] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************

    FastLED.show();
  }
  else if (hr == 8)
  {
    leds[2] = CRGB(r1, g1, b1);
    leds[10] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r2, g2, b2);
    leds[13] = CRGB(r2, g2, b2);
    leds[21] = CRGB(r2, g2, b2);
    leds[6] = CRGB(r3, g3, b3);
    leds[14] = CRGB(r3, g3, b3);
    leds[22] = CRGB(r3, g3, b3);
    leds[7] = CRGB(r4, g4, b4);
    leds[15] = CRGB(r4, g4, b4);
    leds[23] = CRGB(r4, g4, b4);

    //***************************************************

    leds[3] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);

    //***************************************************

    FastLED.show();
  } else if (hr == 9)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[11] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[4] = CRGB(r2, g2, b2);
    leds[13] = CRGB(r2, g2, b2);
    leds[20] = CRGB(r2, g2, b2);
    leds[6] = CRGB(r2, g2, b2);
    leds[22] = CRGB(r2, g2, b2);

    //***************************************************

    leds[2] = CRGB(0, 0, 0);
    leds[5] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[12] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[21] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************

    FastLED.show();
  } else if (hr == 10)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r1, g1, b1);
    leds[21] = CRGB(r1, g1, b1);
    //***************************************************

    leds[2] = CRGB(0, 0, 0);
    leds[4] = CRGB(0, 0, 0);
    leds[6] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[14] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[22] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************
    FastLED.show();
  }
  else if (hr == 11)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r1, g1, b1);
    leds[21] = CRGB(r1, g1, b1);
    leds[6] = CRGB(r2, g2, b2);
    leds[14] = CRGB(r2, g2, b2);
    leds[22] = CRGB(r2, g2, b2);
    //***************************************************

    leds[2] = CRGB(0, 0, 0);
    leds[4] = CRGB(0, 0, 0);
    leds[7] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[15] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);
    leds[23] = CRGB(0, 0, 0);

    //***************************************************
    FastLED.show();
  }  else if (hr == 12)
  {
    leds[3] = CRGB(r1, g1, b1);
    leds[12] = CRGB(r1, g1, b1);
    leds[19] = CRGB(r1, g1, b1);
    leds[5] = CRGB(r1, g1, b1);
    leds[21] = CRGB(r1, g1, b1);
    leds[6] = CRGB(r2, g2, b2);
    leds[14] = CRGB(r2, g2, b2);
    leds[22] = CRGB(r2, g2, b2);
    leds[7] = CRGB(r3, g3, b3);
    leds[15] = CRGB(r3, g3, b3);
    leds[23] = CRGB(r3, g3, b3);
    //***************************************************

    leds[2] = CRGB(0, 0, 0);
    leds[4] = CRGB(0, 0, 0);
    leds[10] = CRGB(0, 0, 0);
    leds[11] = CRGB(0, 0, 0);
    leds[13] = CRGB(0, 0, 0);
    leds[20] = CRGB(0, 0, 0);

    //***************************************************
    FastLED.show();
  }
}
